LoadedObjects.Spawns = {}

function addSpawn(archetype, ...)
	local o = {
		archetype = archetype,
		args = {...}
	}
	table.insert(LoadedObjects.Spawns, o)
end

function activateSpawns()
	for _, spawn in pairs(LoadedObjects.Spawns) do
			spawn.archetype:new(unpack(spawn.args))
	end
end
